Tugger the SLUGger!SLUG Mailing List Archives

Re: [SLUG] Re: Debian Upgrade Problem


> gimme dpkg -C output and the output from your failed apt-get install
> 
> you probably need to finish installing tcl-tk, so we need to know why
> it failed.

Ok the output you requested is attached. Would it be simpler to reinstall
at this point ? The system isn't really configured yet, so i wouldn't
loose much work. 

Also i recompiled the kernel so modconf doens't work. How should i
recompile the kernel to make modconf work ??

Jason
Script started on Wed Nov 29 18:53:41 2000
stampy:~# dpkg -C

The following packages have been unpacked but not yet configured.

They must be configured using dpkg --configure or the configure

menu option in dselect for them to work:

 libgnomeui32         The Gnome libraries (User Interface)

 mc                   Midnight Commander - A powerful file manager. - normal ve

 imlib-base           Common files needed by the Imlib/Gdk-Imlib packages

 libpanel-applet0     Library for Gnome Panel applets

 setserial            Controls configuration of serial ports.

 gedit                small, lightweight gnome-based editor for X11

 gmc                  Midnight Commander - A powerful file manager. - Gnome ver

 libcapplet0          Library for Gnome Control Center applets

 libglade0            Library to load .glade files at runtime.

 libgnomesupport0     The Gnome libraries (Support libraries)

 gnome-help           GNOME help browser

 manpages             Man pages about using a Linux system.

 gnome-control-center The Gnome Control Center

 libglib1.2           The GLib library of C routines

 blt-dev              Development in blt - a tcl/tk extension library

 liborbit0            Libraries for ORBit - a CORBA ORB

 gnome-faq            Frequently Asked Questions about GNOME

 mc-common            Common files for mc and gmc

 libart2              The Gnome canvas widget

 libglade-gnome0      Library to load .glade files at runtime (Gnome widgets su

 libgnome32           The Gnome libraries

 debhelper            helper programs for debian/rules

 gnome-media          Gnome Media Utilities (gmix, gtcd)

 libgtkxmhtml1        The Gnome gtkxmhtml (HTML) widget

 bsdmainutils         More utilities from FreeBSD.

 libxml1              GNOME XML library

 gdk-imlib1           Gdk-Imlib is an imaging library for use with gtk

 ed                   The classic unix line editor

 libgnorba27          Gnome CORBA services

 libghttp1            Gnome HTTP client library

 gnome-libs-data      Data for Gnome libraries

 gnome-help-data      GNOME help browser data

 gnome-bin            Miscellaneous binaries used by Gnome

 imlib1               Imlib is an imaging library for X and X11

 libgtk1.2            The GIMP Toolkit set of widgets for X

 libgnorbagtk0        Gnome CORBA services (Gtk bindings)

 libpopt0             lib for parsing cmdline parameters

 tk8.2-dev            The Tk toolkit for TCL and X11 v8.2 - Development Files.



The following packages are only half configured, probably due to problems

configuring them the first time.  The configuration should be retried using

dpkg --configure <package> or the configure menu option in dselect:

 tcl8.2-dev           The Tool Command Language (TCL) v8.2 - Development Files.



stampy:~# apt-get install


Reading Package Lists... 0%

Reading Package Lists... 100%

Reading Package Lists... Done



Building Dependency Tree... 0%

Building Dependency Tree... 0%

Building Dependency Tree... 50%

Building Dependency Tree... 50%

Building Dependency Tree... Done


You might want to run `apt-get -f install' to correct these.

Sorry, but the following packages have unmet dependencies:

  gnome-help: Depends: gnome-core (>= 1.2.4-helix1) but 1.2.4-2 is installed

E: Unmet dependencies. Try using -f.

stampy:~# apt-get -f install


Reading Package Lists... 0%

Reading Package Lists... 100%

Reading Package Lists... Done



Building Dependency Tree... 0%

Building Dependency Tree... 0%

Building Dependency Tree... 50%

Building Dependency Tree... 50%

Building Dependency Tree... Done


Correcting dependencies... Done

The following extra packages will be installed:

  gnome-core 

1 packages upgraded, 0 newly installed, 0 to remove and 138 not upgraded.

39 packages not fully installed or removed.

Need to get 0B/1253kB of archives. After unpacking 982kB will be used.

Do you want to continue? [Y/n] y



(Reading database ... 44681 files and directories currently installed.)

Preparing to replace gnome-core 1.2.4-2 (using .../gnome-core_1.2.4-helix1_i386.deb) ...

Unpacking replacement gnome-core ...

dpkg: error processing /var/cache/apt/archives/gnome-core_1.2.4-helix1_i386.deb (--unpack):

 trying to overwrite `/usr/share/man/man1/gnome-panel-properties-capplet.1.gz', which is also in package gnome-panel

dpkg-deb: subprocess paste killed by signal (Broken pipe)

Errors were encountered while processing:

 /var/cache/apt/archives/gnome-core_1.2.4-helix1_i386.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

stampy:~# exit
Script done on Wed Nov 29 18:54:14 2000